Bug 1476945 - authconfig --enablenis should set nis in /etc/nsswitch.conf for all entries that can be served by nis
authconfig --enablenis should set nis in /etc/nsswitch.conf for all entries t...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
26
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-31 17:37 EDT by Edgar Hoch
Modified: 2018-05-29 07:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:30:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edgar Hoch 2017-07-31 17:37:56 EDT
Description of problem:

authconfig modifiles entries in /etc/nsswitch.conf. But --enablenis modifies only a subset of entries that should be modified, because NIS can provide data for more maps than authconfig modifies.

1) NIS can provide data for

aliases bootparams ethers netmasks networks publickey rpc services

See, for example, in /var/yp/Makefile, for possible NIS maps.

These entries in /etc/nsswitch,conf should also get a "nis" entry if --enablenis is called, and it should be removed if -disablenis is called.


Currently only the following entries are modified by --enablenis and --disablenis:

passwd shadow group hosts netgroup automount



Version-Release number of selected component (if applicable):
authconfig-7.0.1-2.fc26.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. authconfig --update --enablenis --nostart
2. Check entries in /etc/nsswitch.conf


Additional info:

I haven't checked option "--enableldap". It may be that is (and other options) also modifies only a subset of maps that the service can provide.

In the past I have modified /etc/nsswitch.conf by my own scripts, to contain "nis" entries for our nis maps. But it would be better if authconfig does the job right.
Comment 1 Fedora End Of Life 2018-05-03 04:59:38 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2018-05-29 07:30:27 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.